<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>AVM2: </title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<!-- Generated by Doxygen 1.7.1 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul class="tablist">
      <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
      <li class="current"><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<p><a name="coerce_s"></a></p>
<h2><a class="anchor" id="coerce_s"></a>
coerce_s</h2>
<h3><a class="anchor" id="operation"></a>
Operation</h3>
<p>Coerce a value to a string.</p>
<h3><a class="anchor" id="format"></a>
Format</h3>
<div class="fragment"><pre class="fragment">coerce_s
</pre></div><h3><a class="anchor" id="forms"></a>
Forms</h3>
<div class="fragment"><pre class="fragment">coerce_s = 133 (0x85)
</pre></div> <h3><a class="anchor" id="stack"></a>
Stack</h3>
<div class="fragment"><pre class="fragment">..., value =&gt; ..., stringvalue
</pre></div><h3><a class="anchor" id="description"></a>
Description</h3>
<p>value is popped off of the stack and coerced to a String. If value is null or undefined, then stringvalue is set to null. Otherwise stringvalue is set to the result of the ToString algorithm, as specified in ECMA-262 section 9.8. stringvalue is pushed onto the stack.</p>
<h3><a class="anchor" id="rt_execeptions"></a>
Runtime exceptions</h3>
<p>None.</p>
<h3><a class="anchor" id="notes"></a>
Notes</h3>
<p>This opcode is very similar to the convert_s opcode. The difference is that convert_s will convert a null or undefined value to the string "null" or "undefined" whereas coerce_s will convert those values to the null value. </p>
</div>
<hr class="footer"/><address class="footer"><small>Generated on Thu Jan 6 2011 10:19:15 for AVM2 by&nbsp;
<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.7.1 </small></address>
</body>
</html>
